Name:           seahorse-nautilus
Version:        3.4.0
%global         release_version %(echo %{version} | awk -F. '{print $1"."$2}')
Release:        2%{?dist}
Summary:        PGP encryption and signing for nautilus
License:        GPLv2+
URL:            https://live.gnome.org/Seahorse
Source0:        http://ftp.gnome.org/pub/gnome/sources/%{name}/%{release_version}/%{name}-%{version}.tar.xz

BuildRequires:  gtk3-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gnupg2
BuildRequires:  gpgme-devel >= 1.0
BuildRequires:  nautilus-devel
BuildRequires:  GConf2-devel
BuildRequires:  libgnome-keyring-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  libcryptui-devel
BuildRequires:  libnotify-devel
BuildRequires:  intltool

Obsoletes: seahorse-plugins < 3.0

%description
Seahorse nautilus is an extension for nautilus which allows encryption
and decryption of OpenPGP files using GnuPG.


%prep
%setup -q


%build
%configure --disable-silent-rules
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/seahorse-pgp-encrypted.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/seahorse-pgp-keys.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/seahorse-pgp-signature.desktop

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'

%find_lang %{name} --with-gnome


%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README THANKS
%{_bindir}/seahorse-tool
%{_libdir}/nautilus/extensions-3.0/libnautilus-seahorse.so
%{_datadir}/applications/*.desktop
%{_datadir}/seahorse-nautilus/
%{_mandir}/man1/seahorse-tool.1*


%changelog
* Thu Mar 29 2012 Rui Matos <rmatos@redhat.com> - 3.4.0-2
- Use rpm macros to define the version number
- Do verbose builds
- Fix %%files entries to comply with ownership rules

* Tue Mar 27 2012 Rui Matos <rmatos@redhat.com> - 3.4.0-1
- initial packaging for Fedora
